package com.xalys.demo.webworker.client;

import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsType;

@JsType(isNative=true, name="DedicatedWorkerGlobalScope", namespace=JsPackage.GLOBAL)
public class DedicatedWorkerGlobalScope {
  public DedicatedWorkerGlobalScope() {}
 
  public native void addEventListener(String event, Handler handler);
  
  public native void postMessage(String message);
  
  public native void close();
    
  @JsOverlay
  public static final DedicatedWorkerGlobalScope get() {
    return Toolkit.get();
  } 
  
  private static class Toolkit {
    public static native DedicatedWorkerGlobalScope get() /*-{
      return self;
    }-*/; 
  }
}
