package com.xalys.demo.webworker.client;

import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;

/**
 *
 * @author Paul Sitarz
 */
//https://developer.mozilla.org/en-US/docs/Web/API/MessageEvent
@JsType(isNative = true, name = "MessageEvent", namespace = JsPackage.GLOBAL)
public class MessageEvent {
    
    @JsProperty(name="data")
    public native String getData();
    
    @JsProperty(name="origin")
    public native String getOrigin();

    @JsProperty(name="wasClean")
    public native String wasClean();
}

