package com.xalys.demo.webworker.client;

import com.google.gwt.core.client.EntryPoint;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class WebWorkerDemo implements EntryPoint {
	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
	    Console.log("Master loaded!");
	    
	    Worker myWorker = new Worker("/mywebworker.wkr/mywebworker.wkr.nocache.js");
	    myWorker.addEventListener("message", msg -> Console.log("Got Message from worker: "+msg.getData()));

	    myWorker.postMessage("Hello my dear worker!");
	}
}
